#######################################################################
# Copyright (C) 2008 VMWare, Inc.
# All Rights Reserved
########################################################################
#
# const.py
#
import os
from util.enum import enum

# String constants
CONFIGFILE = '/etc/vmware/esxupdate/esxupdate.conf'
VIBCONF_FILE = '/etc/vmware/esxupdate/vib.conf'

if os.environ.has_key('ESXUPDATECONF'):
   CONFIGFILE = os.environ['ESXUPDATECONF']

if os.environ.has_key('VIBCONF'):
   VIBCONF_FILE = os.environ['VIBCONF']

#
# Enumerations
#
PKGSTATE = enum('uninstalled', 'staged', 'pending', 'installed',
                'failed', 'backed_up', 'retired')
VIBTYPES = enum("rpm", "deb", "cross")
PLATFORMS = enum("cos", "visor")

EXT_PRODUCTS = enum('ESX', 'ESXi', 'VIMA')
ESX_PORTABLE_PRODUCTS = enum('ESX', 'ESXi')
INT_PRODUCTS = enum('esx', 'embeddedEsx', 'vima')
SEVERITY_TYPES = enum('critical', 'general','security')
RELEASE_TYPES = enum('patch', 'rollup', 'update', 'extension', 'notification', 'upgrade')

VIB_TAGS = enum('driver', 'pseudodriver', 'module', 'psa', 'cim')

# Mapping for external product name to internal platform ID
EXT2INT = {EXT_PRODUCTS.ESX : INT_PRODUCTS.esx,
           EXT_PRODUCTS.ESXi: INT_PRODUCTS.embeddedEsx,
           EXT_PRODUCTS.VIMA: INT_PRODUCTS.vima}

SUPPORTED = {INT_PRODUCTS.esx         : [VIBTYPES.rpm, VIBTYPES.cross],
             INT_PRODUCTS.embeddedEsx : [VIBTYPES.deb, VIBTYPES.cross],
             INT_PRODUCTS.vima        : [VIBTYPES.rpm]}

TMP_CACHE_PATH = '/tmp/updatecache'
